/*
 * Copyright (c) 2005-2007 CodeDroids ApS (http://www.codedroids.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about CodeDroids ApS, please see the
 * company website: http://www.codedroids.com
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * $LastChangedRevision: 177 $
 * $LastChangedDate: 2007-05-07 11:38:46 +0200 (Mon, 07 May 2007) $
 * 
 */

package com.codedroids.forms;

import java.util.Iterator;

public class DefaultFormRender implements I_FormRender {

	public DefaultFormRender() {
		super();
	}

	public String render(Form form) throws UnknownFieldRenderException {

		StringBuffer b = new StringBuffer();
		b.append("\n<form");
		b.append(" action=\"" + form.getLayout().getFormAction() + "\"");
		b.append(" method=\"" + form.getLayout().getFormMethod() + "\"");
		if(form.getIdent() != null)
			b.append(" id=\"" + form.getIdent() + "\"");
		if(form.getLayout().getFormName() != null)
			b.append(" name=\"" + form.getLayout().getFormName() + "\"");
		else if(form.getIdent() != null)
			b.append(" name=\"" + form.getIdent() + "\"");
		b.append(" class=\"" + Form.FBTAG_FORM);
		if(form.isReadOnly())
			b.append(" readonly");
		if(form.getLayout().styleName() != null)
			b.append(" " + form.getLayout().styleName());
		b.append("\"");
		if(form.getLayout().getStyle() != null)
			b.append(" style=\"" + form.getLayout().getStyle() + "\"");
		b.append(">");
		// Insert special hidden fields
		b.append("\n" + Form.PP_INDENT + "<input type=\"hidden\" name=\"" + form.submitCheckField() + "\" value=\"true\">");
		if(form.getParamEnc() != null)
			b.append("\n" + Form.PP_INDENT + "<input type=\"hidden\" name=\"" + form.paramEncField() + "\" value=\"" + form.paramEncString() + "\">");
		// Render hidden fields first.
		Iterator it = form.getFields().iterator();
		while(it.hasNext()){
			I_Field f = (I_Field)it.next();
			if(f instanceof HiddenField)
				b.append(f.toHTML()); // probably better to skip this and go to the field render directly???
		}
		// Render visible fields
		b.append(form.getLayout().getFormBegin());
		it = form.getFields().iterator();
		while(it.hasNext()){
			I_Field f = (I_Field)it.next();
			if(!(f instanceof HiddenField))
				b.append(f.toHTML());
		}
		b.append(form.getLayout().getFormEnd()); // ditto
		b.append("\n</form>");
		return b.toString();
	}

}
