/*
 * Copyright (c) 2005-2007 CodeDroids ApS (http://www.codedroids.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about CodeDroids ApS, please see the
 * company website: http://www.codedroids.com
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * $LastChangedRevision: 117 $
 * $LastChangedDate: 2007-02-20 11:24:48 +0100 (Tue, 20 Feb 2007) $
 * 
 */

package com.codedroids.oc.forms;

import org.opencms.file.CmsObject;
import org.opencms.site.CmsSiteManager;
import org.opencms.workplace.CmsWorkplace;

import com.codedroids.forms.*;

public class OCFileSelectorInputFieldRender extends A_OCSeletorInputFieldRender {

	public OCFileSelectorInputFieldRender(CmsObject cms) {
		super(cms);
	}

	public String renderWidget(InputField f) {
		StringBuffer b = new StringBuffer();
		// formName, fieldName, curDoc, showSiteSelector, startSite
		String formName = f.form().getIdent();
		String fieldName = f.getName();
		// curDoc is set by a reference to the document in javascript
		boolean showSiteSelector = false;
		String startSite = CmsSiteManager.getCurrentSite(cms).getSiteRoot();
        b.append("<a href=\"#\" onclick=\"javascript:openTreeWin('"+formName+"',  '"+fieldName+"', document, "+showSiteSelector+", '"+startSite+"');\" title=\"Find\">");
		b.append("<span unselectable=\"on\">");
		b.append("<img src=\""+CmsWorkplace.getResourceUri("buttons/folder.png")+"\" alt=\"Find\"></span>");
		b.append("</a>");
		return b.toString();
	}

}
